import * as $dara from '@darabonba/typescript';
export declare class AddClientUserDefineRuleResponseBodyUserDefineRuleAddResult extends $dara.Model {
    /**
     * @remarks
     * The ID of the rule.
     *
     * @example
     * 1
     */
    id?: number;
    /**
     * @remarks
     * The type of the operating system. Valid values:
     *
     * *   **windows**: Windows
     * *   **linux**: Linux
     * *   **all**: all types
     *
     * @example
     * linux
     */
    platform?: string;
    /**
     * @remarks
     * The switch ID of the custom defense rule.
     *
     * @example
     * USER-DEFINE-RULE-SWITCH-TYPE_200****
     */
    switchId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddClientUserDefineRuleResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 379a9b8f-107b-4630-9e95-2299a1ea****
     */
    requestId?: string;
    /**
     * @remarks
     * The identifier of the custom defense rule.
     */
    userDefineRuleAddResult?: AddClientUserDefineRuleResponseBodyUserDefineRuleAddResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
